body {
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
    /* background-color: #f7f3ed; */
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Platypi', serif;
}

.slick-initialized {
    visibility: visible;
}

.nav-link {
    font-size: 17px;
    font-weight: 400;
}

.sidebar {
    transition: transform 0.3s ease-in-out;
    transform: translateX(-100%);
}

.sidebar.open {
    transform: translateX(0);
}

.search-sidebar {
    transition: transform 0.3s ease-in-out;
    transform: translateX(-100%);
}

.search-sidebar.open {
    transform: translateX(0);
}

.slick-prev:before,
.slick-next:before {
    color: #ecd5a1 !important;
}

.slick-dots li button:before {
    color: #ecd5a1 !important;
}

.thumb-button {
    background-color: #ecd5a173 !important;
}

/* Animation for images */
@keyframes slideInLeft {
    0% {
        transform: translateX(-100%);
        opacity: 0;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInRight {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

.animate-from-left {
    animation: slideInLeft 1s ease-out;
}

.animate-from-right {
    animation: slideInRight 1s ease-out;
}

.video-container {
    position: relative;
    display: block;
    cursor: pointer;
    overflow: hidden;
    border-radius: 0.5rem;
}

.video-container .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: opacity 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-container:hover .overlay {
    opacity: 1;
}

.play-button {
    width: 3rem;
    height: 3rem;
    color: white;
}

.slick-prev:before,
.slick-next:before {
    color: #4b5563;
    /* Tailwind gray-600 */
}

/* Aspect ratio for embedded videos */
.aspect-video {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    /* 16:9 aspect ratio */
}

.aspect-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.slick-prev:before,
.slick-next:before {
    color: #4b5563;
    /* Tailwind gray-600 */
}


/* Aspect ratio for embedded videos */
.aspect-video {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    /* 16:9 aspect ratio */
}

.aspect-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Aspect ratio for embedded videos matching the 600x400 image (3:2 ratio) */
.aspect-3-4 {
    position: relative;
    width: 100%;
    padding-bottom: 133.3333%;
    /* 4 / 3 * 100 */
}

.aspect-3-4 iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


.star-rating {
    display: flex;
    gap: 2px;
}

.star-rating svg {
    width: 20px;
    height: 20px;
    fill: #D9D9D9;
    /* Gold color for stars */
}

/* New Button Style and Hover Animation */
.btn-animated {
    position: relative;
    overflow: hidden;
    z-index: 10;
}

.btn-animated::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    background-color: #fff;
    /* nita-brown */
    transition: height 0.3s ease-in-out;
    z-index: -1;
}

.btn-animated:hover span {
    color: #000;
}

.btn-animated:hover::before {
    height: 100%;
}

.btn-animated.btn-primary {
    border: 1px solid #000;
    color: #000;
    transition: color 0.3s ease-in-out;
}

.btn-animated.btn-primary:hover {
    color: white;
}

.btn-animated.btn-secondary {
    background-color: #A48E7C;
    color: white;
    border: 2px solid #A48E7C;
}

.btn-animated.btn-secondary:hover {
    background-color: transparent;
    color: #A48E7C;
}

.btn-animated.btn-secondary::before {
    background-color: white;
}

.best-a {
    border: 1px solid #ecd5a1;
    color: #ecd5a1;
    text-align: center;
    background-color: transparent;
}

.best-a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    background-color: #ecd5a1;
    /* Tailwind emerald-500 */
    transition: height 0.3s ease-in-out;
    z-index: 0;
}

.best-a:hover::after {
    height: 100%;
}

.best-a.btn-animated:hover span {
    color: #fff;
}

.custom-link {
    margin-left: 0px !important;
    margin-right: 20px !important;
}

.text-nita-text {
    --tw-text-opacity: 1;
    color: #ecd5a1 !important;
    font-size: 17px !important;
    font-weight: 400 !important;
}

.custom-nita-sidebar {
    background-color: #ecd5a1;
    color: #fff;
}

.custom-width {
    width: 20% !important;
}

.custom-link-shop {
    font-size: 17px;
    font-weight: 500;

}

#search-button-desktop {
    margin-left: 20px !important;

}

.search-input {
    border-radius: 35px;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    border-color: #ecd5a1;

}

.hide-mobile {
    display: block;
}

.hide-desktop {
    display: none;
}

.custom-home-banner {
    margin-left: 50px;
}

.nita-h1 {
    line-height: 55px !important;
    font-weight: 600 !important;
}

.custom-header {
    padding: 0px 50px;
}

.nita-p {
    font-size: 20px !important;
    font-weight: 500;
    padding-top: 10px;
    padding-bottom: 10px;
}

.search-icon path {
    color: #ecd5a1 !important;
}

.custom-category {
    color: #000 !important;
}

form.flex.items-center {
    font-size: 11px;
}

form.custom-sub.flex.items-center {
    position: relative;
    margin-bottom: 20px;
}

.nita-subscribe {
    position: absolute;
    right: 0;
    margin-right: 5px;
}

p.footer-p {
    color: #000;
    font-size: 13px;
    margin-bottom: 10px;
}

.nita-input {
    border-color: #ecd5a1 !important;
}

h3.text-lg.font-semibold.mb-4 {
    color: #fff !important;
    font-size: 15px !important;
    font-family: Poppins !important;
}

.nita-footer li {
    font-size: 14px !important;
    padding: 2px 0px !important;
}

.footer-set {
    margin-left: 80px;
}

.nita-email {
    word-break: break-all;
}

/* .footer-bar-nita {
    background-color: #e7d9c3;
    color:#ecd5a1;
    padding: 30px 0px;
} */
.footer-bar-nita {
    background-color: #ecd5a1;
    color: #fff;
    padding: 30px 0px;
}

.footer-bar-nita a {
    color: #ecd5a1;
}

.category-nita-kitchen {
    justify-content: center;
}

.product-cat-section {
    background-color: #fff !important;
}

.bake-section img {
    height: 100% !important;
    width: 100% !important;
}

img.img-top {
    margin-top: -60px;
}

img.img-bot {
    margin-bottom: -60px;
}

a.nita-button.inline-block.btn-animated {
    border: 1px solid #000;
    color: #000;
}

.nita-heading {
    font-size: 46px;
}

.nita-hh {
    line-height: 60px !important;
}

.best-a {
    border: 1px solid #000;
    color: #000;
    text-align: center;
}

.best-a.btn-animated::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    background-color: #ecd5a1;
    /* nita-brown */
    transition: height 0.3s ease-in-out;
    z-index: -1;
}

.best-a.btn-animated:hover span {
    color: #000;
}

.slick-dots li.slick-active button:before {
    font-size: 10px !important;
}

.best-h2 {
    color: #ecd5a1;
    padding-left: 10px;
}

p.nita-11 {
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.home-blog-outer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.best-nita-p {
    padding-top: 15px;
    padding-bottom: 15px;
}

.testimonials-slider {
    color: #fff !important;
}

p.test-nita {
    text-align: right;
    margin-bottom: 30px;
}

.category-nita-kitchen {
    padding-bottom: 0px !important;
}

.nita-testimonial {
    height: 450px;
}

.star-rating {
    position: absolute;
    bottom: 35px;
}

.test-nita-a {
    font-size: 13px;
    line-height: 23px;
}

.nita-left-right {
    padding-top: 125px !important;
    padding-bottom: 125px !important;
}

.nita-why {
    color: #000 !important;
    padding-bottom: 10px !important;
}

.nita-hapiness {
    padding-top: 10px !important;
}

.nita-pagination {
    background-color: #ecd5a1;
}

.custom-link {
    margin-left: 0px !important;
    margin-right: 20px !important;
}

.text-nita-text {
    --tw-text-opacity: 1;
    color: #ecd5a1 !important;
    font-size: 17px !important;
    font-weight: 400 !important;
}

.custom-nita-sidebar {
    background-color: #ecd5a1;
    color: #fff;
}

.custom-width {
    width: 20%;
}

.custom-link-shop {
    font-size: 17px;
    font-weight: 500;

}

#search-button-desktop {
    margin-left: 20px !important;

}

.search-input {
    border-radius: 35px;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    border-color: #ecd5a1;

}

.hide-mobile {
    display: block;
}

.hide-desktop {
    display: none;
}

.custom-header {
    padding: 0px 50px;
}

.search-icon path {
    color: #ecd5a1 !important;
}

.custom-category {
    color: #000 !important;
}



@media (min-width: 1024px) and (max-width: 1180px) {
    .nita-testimonial {
        height: 500px !important;
    }

    .nita-heading {
        font-size: 35px;
    }

    .nita-left-right {
        padding-top: 100px !important;
        padding-bottom: 100px !important;
    }

    .custom-width {
        width: 30% !important;
    }
}



@media (min-width: 767px) and (max-width: 1024px) {
    .nita-left-right {
        padding-top: 70px !important;
        padding-bottom: 70px !important;
    }

    h2 {
        font-size: 30px !important;
    }

    p {
        font-size: 16px !important;
    }

    .elegant br {
        display: none !important;
    }

    .nita-hh {
        line-height: normal !important;
    }

    .nita-h1 {
        line-height: normal !important;
        font-size: 30px !important;
        font-weight: 600 !important;
    }

    .custom-home-banner {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .nita-p {
        font-size: 17px !important;
        margin-bottom: 10px !important;
    }

    .footer-set {
        margin-left: 0px !important;
    }

    .category-nita-kitchen p {
        font-size: 16px;
    }

    .order-nita2 {
        order: 2;
    }

    .order-nita1 {
        order: 1;
    }

    .order-nita3 {
        order: 3;
    }

    img.img-top {
        margin-top: 0px;
    }

    img.img-bot {
        margin-bottom: 0px;
    }

    .nita-heading {
        font-size: 30px;
    }

    .nita-testimonial {
        height: 450px !important;
    }

    .test-nita-a {
        font-size: 13px !important;
    }

    .custom-width {
        width: 40% !important;
    }
}



@media (max-width: 768px) {

    .nita-left-right {
        padding-top: 60px !important;
        padding-bottom: 60px !important;
    }

    .custom-width {
        width: 50% !important;
    }

    .test-nita-a {
        font-size: 13px;
    }

    .custom-header {
        padding: 0px 20px;
    }

    .hide-mobile {
        display: none;
    }

    .hide-desktop {
        display: block;
    }

    .custom-home-banner {
        margin-left: 30px;
        text-align: left;
        margin-top: 25px;
        max-width: 75%;
    }

    .nita-h1 {
        line-height: normal !important;
        font-size: 25px !important;
        font-weight: 600 !important;
    }

    .nita-p {
        font-size: 15px !important;
    }

    .nita-footer-res {
        gap: 10px !important;
    }

    .nita-footer {
        padding-top: 50px !important;
        padding-bottom: 50px !important;

    }

    .category-nita-kitchen p {
        font-size: 15px;
    }

    .order-nita2 {
        order: 2;
    }

    .order-nita1 {
        order: 1;
    }

    .order-nita3 {
        order: 3;
    }

    img.img-top {
        margin-top: 0px;
    }

    img.img-bot {
        margin-bottom: 0px;
    }

    .nita-heading {
        font-size: 28px;
    }

    p {
        font-size: 14px !important;
    }

    h2 {
        font-size: 24px !important;
    }

    .nita-hh {
        line-height: normal !important;
    }

    .elegant br {
        display: none !important;
    }
}



@media (max-width:405px) {
    .nita-testimonial {
        height: 600px !important;
    }
}


@media (max-width: 768px) {
    .custom-width {
        width: 60% !important;
    }

    .hide-mobile {
        display: none;
    }

    .custom-header {
        padding: 0px 20px;
    }

    .hide-desktop {
        display: block;
    }
}


/************************* Contact Us PAGE  CSS START *************************/

.custom-cfont {
    color: #ecd5a1 !important;
    font-size: 17px;
    font-weight: bold;
}

.custom-flx {
    align-items: flex-start !important;
    word-break: break-all;
}

.cmap {
    border: 2px solid #ecd5a1 !important;
}

.fpdn {
    padding: 60px 80px !important;
}

.category-img {
    max-height: 100% !important;
    height: 370px !important;
    object-fit: cover !important;
    padding-bottom: 0px !important;
}

.cont-pd {
    margin-top: 5px !important;
}

@media (min-width: 767px) and (max-width: 1024px) {
    .fpdn {
        padding: 40px 40px !important;
    }

    h2 {
        font-size: 30px !important;
    }

    p {
        font-size: 16px !important;
    }
}

@media (max-width: 768px) {
    .fpdn {
        padding: 50px 30px !important;
    }

    p {
        font-size: 14px !important;
    }

    h2 {
        font-size: 24px !important;
    }
}


/************************* About CSS START *************************/
.a_image {
    display: flex;
    align-items: center;
    justify-content: center;
}

.a_product {
    max-width: 500px;
    width: 100%;
}

.a_choose {
    max-width: 84px;
    width: 100%;
}

.nita-product {
    align-items: center !important;
    justify-content: center !important;
}

@media (max-width: 768px) {
    .story-nita {
        text-align: left !important
    }

    .why-choose {
        align-items: flex-start !important;
    }

    .about-relative .relative.group.h-100 {
        height: 16rem !important;
    }

    .why-choose {
        gap: 0 !important;
    }

    .about-span {
        font-size: 25px !important
    }
}

/************************* collection CSS START *************************/
.container.mx-auto.header-text-custom {
    text-align: left;
}

/************************* all_product CSS Start *************************/
.product-detail-nita {
    padding-bottom: 15px;
}

/********************* Product dtails **********************************/

.p_sec {
    margin-top: 60px;
    margin-bottom: 50px;
}

.p_fonts {
    font-size: 18px !important;
}

.p_add {
    font-size: 14px !important;
}

/* Animation for hero section text */
@keyframes swipe-up {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.animate-swipe-up {
    animation: swipe-up 0.8s ease-out forwards;
}

.animate-delay {
    animation-delay: 0.3s;
}


/* Animation for hero text */
@keyframes slideInFromBottom {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.animate-swipe-up {
    animation: slideInFromBottom 1s ease-out forwards;
}

.animate-delay {
    animation-delay: 0.5s;
}

.container.mx-auto.header-text-custom {
    text-align: left;
}

.category-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.category-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

/* Basic transition for hover effects */
.product-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.product-card:hover {
    transform: translateY(-5px);

}

/* Pagination item styling */
.pagination-item {
    transition: background-color 0.2s ease, transform 0.2s ease;
}

.pagination-item:hover {
    background-color: #000;
    transform: scale(1.1);
}

.pagination-item.active {
    background-color: #ecd5a1;
    color: white;
    pointer-events: none;
}

.category-card,
.blog-card,
.product-card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.category-card:hover,
.blog-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
}

/* Hide scrollbar but allow scrolling */
.scrollbar-hide::-webkit-scrollbar {
    display: none;
}

.scrollbar-hide {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.nita-map-a {
    margin-bottom: 40px;
}

header {
    position: sticky;
    top: 0;
    z-index: 11;
}

.bg-nita-text.text-white.text-center.py-2.text-sm.font-medium.tracking-wide {
    background-color: #ecd5a1;
}

.bg-nita-brown {
    background-color: #ecd5a1;
}

/* Container for the link */
.custom-link.nav-link {
    position: relative;
    /* Add some padding so the border doesn't overlap the text */
}

/* The pseudo-element that will be our border */
.custom-link.nav-link::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    /* Starts with 0 width, so it's not visible initially */
    height: 2px;
    background-color: #ecd5a1;
    transition: width 0.3s ease-out;
    /* Smooth transition for the width property */
}

/* On hover, make the border appear by changing its width to 100% */
.custom-link.nav-link:hover::after {
    width: 100%;
}

.slick-dots li {
    width: 10px !important;
    height: 10px !important;
}

#preloader {
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    transition: opacity 0.5s ease-out;
}

/* This is the spinning loader animation. */
#loader {
    border: 8px solid #d7d3ce;
    /* Light gray border */
    border-top: 8px solid #ecd5a1;
    /* Blue border for the top part */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

/* This keyframe animation creates the spinning effect. */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*
            When the 'loaded' class is added to the body, it hides the preloader
            and makes the main content visible.
        */
body.loaded #preloader {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

body.loaded main {
    opacity: 1;
}

.nita-btn {
    font-size: 14px;
}

.contact-nita-h2 {
    margin-top: 0px !important;
}

.nita-p-top {
    display: flex;
    flex-direction: row;
}

.nita-p-top p {
    padding-left: 10px;
}

.product-nita-tab {
    word-break: break-all;
}


.product-cat-section img {
    height: 350px;
    width: 350px;
    object-fit: cover;
}

#product-grid img {
    height: 350px;
    width: 350px;
    object-fit: cover;
}

.bestsellers-slider img,
.arrivals-slider img {
    height: 350px;
    width: 350px;
    object-fit: cover;
}

/* #product-grid .text-left {
    min-height: 72px;
} */
.truncate-text {
    display: block;
    max-width: 28ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (min-width: 769px) and (max-width: 1024px) {
    .product-cat-section img {
        height: 180px;
        width: 350px;
        object-fit: cover;
    }

    #product-grid img {
        height: 230px;
        width: 100%;
        object-fit: cover;
    }

    .bestsellers-slider img,
    .arrivals-slider img {
        height: 200px !important;
        width: 100% !important;
        object-fit: cover !important;
    }

    .truncate-text {
        max-width: 20ch;
    }
}

@media (max-width: 768px) {
    #product-grid img {
        height: 260px;
        width: 100%;
        object-fit: cover;
    }

    .bestsellers-slider img,
    .arrivals-slider img {
        height: 260px !important;
        width: 100% !important;
        object-fit: cover !important;
    }

    .product-cat-section img {
        height: 180px;
        width: 350px;
        object-fit: cover;
    }

    .truncate-text {
        max-width: 25ch;
    }

    .nita-p-top {
        flex-direction: column;
    }

    .nita-p-top p {
        margin-bottom: 5px;
    }
}

.p_thumb {
    max-height: 650px;
    height: 100%;
}

@media (min-width: 769px) and (max-width: 1024px) {
    .p_thumb {
        height: 425px;
    }
}

@media (max-width: 639px) {
    #product-grid .text-left {
        min-height: auto;
    }

    #product-grid img {
        height: auto;
    }
}

.hero {
    display: flex !important;
}
.star-rating.mt-2 path {
    fill: #000;
}